Subject: Re: [bug#35033] [PATCH] gnu: mpv: Set absolute path to 'youtube-dl'.
From: Ludovic Courtès <[email-masked]>
To: Timo Eisenmann <[email-masked]>
Cc: Arun Isaac <[email-masked]>, [email-masked]
Date: Mon, 08 Apr 2019 10:29:54 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Timo Eisenmann <[email-masked]> skribis:

> On Wed, 03 Apr 2019 22:24:12 +0200
> Ludovic Courtès <[email-masked]> wrote:

[...]

>> I think it’s a case where it may be more appropriate to look for
>> ‘youtube-dl’ in $PATH because ‘youtube-dl’ is updated frequently.
>> 
>> WDYT?
>
> I think we should make mpv's youtube-dl feature work by default instead
> of requiring the user to install youtube-dl into their profile.

Arun Isaac <[email-masked]> skribis:

> We normally don't require the user to install dependencies such as
> youtube-dl into the profile. I think we should retain that behaviour
> even in this case with mpv. It would mean fewer surprises for the
> user. If I'm guessing correctly, mpv doesn't require a lot of effort to
> rebuild.

Alright, that makes sense (and indeed, mpv builds very quickly.)

I added a #t at the end of the phase and committed.

Thank you!

Ludo’.